gov.ornl.mercury3.services

## Class SessionDAO

- java.lang.Object
- - org.springframework.dao.support.DaoSupport
  - - org.springframework.orm.hibernate3.support.HibernateDaoSupport
    - - gov.ornl.mercury3.services.SessionDAO

- All Implemented Interfaces:
    org.springframework.beans.factory.InitializingBean

      public class SessionDAO
      extends org.springframework.orm.hibernate3.support.HibernateDaoSupport

  A data access object (DAO) providing persistence and search support for Session entities. Transaction control of the save(), update() and delete() operations can directly support Spring container-managed transactions or they can be augmented to handle user-managed Spring transactions. Each of these methods provides additional information for how to configure it for the desired type of transaction control.
  Author:
    MyEclipse Persistence Tools
  See Also:
    `Session`

- - ### Field Summary

    - ### Fields inherited from class org.springframework.dao.support.DaoSupport

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionDAO()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `attachClean(Session instance)`
    `void` | `attachDirty(Session instance)`
    `void` | `delete(Session persistentInstance)`
    `List` | `findAll()`
    `List` | `findByExample(Session instance)`
    `Session` | `findById(SessionId id)`
    `List` | `findByProperty(String propertyName, Object value)`
    `static SessionDAO` | `getFromApplicationContext(org.springframework.context.ApplicationContext ctx)`
    `protected void` | `initDao()`
    `Session` | `merge(Session detachedInstance)`
    `void` | `save(Session transientInstance)`

    - ### Methods inherited from class org.springframework.orm.hibernate3.support.HibernateDaoSupport

      `checkDaoConfig, convertHibernateAccessException, createHibernateTemplate, getHibernateTemplate, getSession, getSession, getSessionFactory, releaseSession, setHibernateTemplate, setSessionFactory`

    - ### Methods inherited from class org.springframework.dao.support.DaoSupport

      `afterPropertiesSet`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionDAO

          public SessionDAO()

  - ### Method Detail

    - #### initDao

          protected void initDao()

      Overrides:
        `initDao` in class `org.springframework.dao.support.DaoSupport`

    - #### save

          public void save(Session transientInstance)

    - #### delete

          public void delete(Session persistentInstance)

    - #### findById

          public Session findById(SessionId id)

    - #### findByExample

          public List findByExample(Session instance)

    - #### findByProperty

          public List findByProperty(String propertyName,
                            Object value)

    - #### findAll

          public List findAll()

    - #### merge

          public Session merge(Session detachedInstance)

    - #### attachDirty

          public void attachDirty(Session instance)

    - #### attachClean

          public void attachClean(Session instance)

    - #### getFromApplicationContext

          public static SessionDAO getFromApplicationContext(org.springframework.context.ApplicationContext ctx)

Copyright © 2016. All rights reserved.